## mantis 0.4.2

=== DESCRIPTION ===
Package: mantis
Type: Package
Title: Multiple Time Series Scanner
Version: 0.4.2
Authors@R: c(
    person(c("T.", "Phuong"), "Quan", email = "phuong.quan@ndm.ox.ac.uk",
        role = c("aut", "cre"), comment = c(ORCID = "0000-0001-8566-1817")),
    person(family = "University of Oxford", role = "cph"),
    person(family = "National Institute for Health Research (NIHR)", role = "fnd")
    )
Description: Generate interactive html reports that enable quick visual review of multiple related time series stored in a data frame. For static datasets, this can help to identify any temporal artefacts that may affect the validity of subsequent analyses. For live data feeds, regularly scheduled reports can help to pro-actively identify data feed problems or unexpected trends that may require action. The reports are self-contained and shareable without a web server. 
URL: https://github.com/phuongquan/mantis,
        https://phuongquan.github.io/mantis/
BugReports: https://github.com/phuongquan/mantis/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 4.1.0)
Imports: rmarkdown, knitr, reactable, dplyr (>= 1.1.1), tidyr,
        dygraphs, xts, ggplot2, scales, purrr, htmltools
Suggests: covr, testthat (>= 3.0.0), vdiffr, withr
Config/testthat/edition: 3
RoxygenNote: 7.3.2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-07-25 08:59:46 UTC; phuongq
Author: T. Phuong Quan [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-8566-1817>),
  University of Oxford [cph],
  National Institute for Health Research (NIHR) [fnd]
Maintainer: T. Phuong Quan <phuong.quan@ndm.ox.ac.uk>
Repository: CRAN
Date/Publication: 2025-07-28 18:40:07 UTC

## mantis 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mantis
 Type: Package
 Title: Multiple Time Series Scanner
-Version: 0.4.2
+Version: 0.4.3
 Authors@R: c(
     person(c("T.", "Phuong"), "Quan", email = "phuong.quan@ndm.ox.ac.uk",
         role = c("aut", "cre"), comment = c(ORCID = "0000-0001-8566-1817")),
@@ -23,11 +23,11 @@
 RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2025-07-25 08:59:46 UTC; phuongq
+Packaged: 2025-07-31 14:10:36 UTC; phuongq
 Author: T. Phuong Quan [aut, cre] (ORCID:
     <https://orcid.org/0000-0001-8566-1817>),
   University of Oxford [cph],
   National Institute for Health Research (NIHR) [fnd]
 Maintainer: T. Phuong Quan <phuong.quan@ndm.ox.ac.uk>
 Repository: CRAN
-Date/Publication: 2025-07-28 18:40:07 UTC
+Date/Publication: 2025-08-01 12:30:02 UTC

## mantis 1.0.0

=== DESCRIPTION ===
Package: mantis
Type: Package
Title: Multiple Time Series Scanner
Version: 1.0.0
Authors@R: c(
    person(c("T.", "Phuong"), "Quan", email = "phuongquan567@outlook.com",
        role = c("aut", "cre"), comment = c(ORCID = "0000-0001-8566-1817")),
    person(family = "University of Oxford", role = "cph"),
    person(family = "National Institute for Health Research (NIHR)", role = "fnd"),
    person("Rodrigo", "Pires", role = "rev"),
    person("Margaret", "Siple", role = "rev")
    )
Description: Generate interactive html reports that enable quick visual review of multiple related time series stored in a data frame. For static datasets, this can help to identify any temporal artefacts that may affect the validity of subsequent analyses. For live data feeds, regularly scheduled reports can help to pro-actively identify data feed problems or unexpected trends that may require action. The reports are self-contained and shareable without a web server. 
URL: https://github.com/phuongquan/mantis,
        https://phuongquan.github.io/mantis/
BugReports: https://github.com/phuongquan/mantis/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 4.1.0)
Imports: rmarkdown, knitr, reactable, dplyr (>= 1.1.1), tidyr,
        dygraphs, xts, ggplot2, scales, purrr, htmltools, lubridate
Suggests: covr, testthat (>= 3.0.0), codemetar, vdiffr, shiny,
        diffviewer, withr
Config/testthat/edition: 3
RoxygenNote: 7.3.3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-10-27 13:17:44 UTC; phuon
Author: T. Phuong Quan [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-8566-1817>),
  University of Oxford [cph],
  National Institute for Health Research (NIHR) [fnd],
  Rodrigo Pires [rev],
  Margaret Siple [rev]
Maintainer: T. Phuong Quan <phuongquan567@outlook.com>
Repository: CRAN
Date/Publication: 2025-10-27 14:50:02 UTC

## mantis 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mantis
 Type: Package
 Title: Multiple Time Series Scanner
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(c("T.", "Phuong"), "Quan", email = "phuongquan567@outlook.com",
         role = c("aut", "cre"), comment = c(ORCID = "0000-0001-8566-1817")),
@@ -11,9 +11,9 @@
     person("Margaret", "Siple", role = "rev")
     )
 Description: Generate interactive html reports that enable quick visual review of multiple related time series stored in a data frame. For static datasets, this can help to identify any temporal artefacts that may affect the validity of subsequent analyses. For live data feeds, regularly scheduled reports can help to pro-actively identify data feed problems or unexpected trends that may require action. The reports are self-contained and shareable without a web server. 
-URL: https://github.com/phuongquan/mantis,
-        https://phuongquan.github.io/mantis/
-BugReports: https://github.com/phuongquan/mantis/issues
+URL: https://github.com/ropensci/mantis,
+        https://ropensci.github.io/mantis/
+BugReports: https://github.com/ropensci/mantis/issues
 License: GPL (>= 3)
 Encoding: UTF-8
 LazyData: true
@@ -26,7 +26,7 @@
 RoxygenNote: 7.3.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2025-10-27 13:17:44 UTC; phuon
+Packaged: 2026-01-13 15:49:28 UTC; phuon
 Author: T. Phuong Quan [aut, cre] (ORCID:
     <https://orcid.org/0000-0001-8566-1817>),
   University of Oxford [cph],
@@ -35,4 +35,4 @@
   Margaret Siple [rev]
 Maintainer: T. Phuong Quan <phuongquan567@outlook.com>
 Repository: CRAN
-Date/Publication: 2025-10-27 14:50:02 UTC
+Date/Publication: 2026-01-13 16:50:02 UTC

## mantis 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mantis
 Type: Package
 Title: Multiple Time Series Scanner
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
     person(c("T.", "Phuong"), "Quan", email = "phuongquan567@outlook.com",
         role = c("aut", "cre"), comment = c(ORCID = "0000-0001-8566-1817")),
@@ -26,7 +26,7 @@
 RoxygenNote: 7.3.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2026-01-13 15:49:28 UTC; phuon
+Packaged: 2026-02-11 20:27:59 UTC; phuon
 Author: T. Phuong Quan [aut, cre] (ORCID:
     <https://orcid.org/0000-0001-8566-1817>),
   University of Oxford [cph],
@@ -35,4 +35,4 @@
   Margaret Siple [rev]
 Maintainer: T. Phuong Quan <phuongquan567@outlook.com>
 Repository: CRAN
-Date/Publication: 2026-01-13 16:50:02 UTC
+Date/Publication: 2026-02-11 20:40:03 UTC

## mantis 1.1.8+dfsg

=== debian/changelog ===
mantis (1.1.8+dfsg-6) unstable; urgency=high

  * debian/patches:
    + Added 08-CVE-2010-2574.diff:  Fix for CVE-2010-2574 XSS 
      vulnerability when deleting categories that have been 
      maliciously named.(Closes: #595510)

 -- Silvia Alvarez <sils@powered-by-linux.com>  Sun, 05 Sep 2010 01:58:01 +0200

mantis (1.1.8+dfsg-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    + Remove quilt on build-depend
    + Updated build-depends to use debhelper (>= 7)
    + Updated Standards-Version to 3.8.4, no changes needed
    + Added uploader Dario Minnucci
  * debian/rules:
    + Use dh_prep instead of dh_clean -k, to avoid lintian
      W: mantis source: dh-clean-k-is-deprecated
    + Added dh_installexamples to create debian/examples
  * debian/README.MultipleInstances:
    + Correct text which indicates the path location
      for site_dispatcher.php.sample file (Closes: #564632)
  * debian/examples:
    + Remove config_inc.php.sample from debian/examples,
      which is included and used by the package installation.
    + Fix debian/site_dispatcher.php.sample path
  * debian/prerm
    + Added control to purge dbconfig-common mantis file
      to preserve a clear new installation, when purge
      databse is selected. This help to reinstall mantis
      when a database was not create previously or the config
      file was misconfigured. (Closes: #546468)
  * debian/patches:
     + 07-handles-php5.3-deprecation-messages.patch: added
       for handless messages of deprecated PHP5.3 functions
       which are used on the mantis application. For more
       information see README.Debian. Thanks to MantisBT-dev,
       David Hicks, Olivier Berger, Christian Perrier for
       their support. (Closes: #569686)
  * debian/README.Debian:
     + Added recommendations for transition to PHP5.3, until
       the new mantis version 1.2 will be released.
  * debian/postinst:
     + Fix misconfiguration appliying dpkg-statoverride on 
       config_db.php to not be world-readable
  * debian/postrm:
     + Fix misconfiguration applying dpkg-statoverride on
       /etc/mantis/config*.php
  * debian/NEWS.Debian: Added to inform how to handle issues when 
    using PHP >= 5.3

 -- Silvia Alvarez <sils@powered-by-linux.com>  Sun, 21 Feb 2010 22:05:38 +0100

mantis (1.1.8+dfsg-4) unstable; urgency=low

  * debian/control:
    + Take over maintainership (Closes: #471094)
    + Set myself as new package maintainer
    + Remove Vcs-* tags; not longer in SVN
    + Update standards version to 3.8.3; no changes needed
    + Description updated to get read of lintian 
      I: using-first-person-in-description
  * debian/po debconf translations:
    + Updated Spanish debconf translation, thanks to
      Francisco Javier Cuadrado (Closes: #542760)
    + Updated Japanese debconf translation, thanks to
      Hideki Yamane (Closes: #545406)
    + Updated Swedish debconf translation, thanks to
      Martin Bagge (Closes: #545732)
  * debian/patches:
    + Added DEP-3 compliant headers in all existing patches

 -- Silvia Alvarez <sils@powered-by-linux.com>  Wed, 30 Dec 2009 22:10:03 +0100

mantis (1.1.8+dfsg-3) unstable; urgency=low

  * Updated German debconf translation, thanks to Helge
    Kreutzmann (Closes: #539787)
  * Updated Russian debconf templates translation, thanks
    to Yuri Kozlov (Closes: #539941)
  * Updated French debconf templates translation, thanks to
    Christian Perrier (Closes: #540096)
  * Updated Italian translation, thanks to Luca Monducci
    (Closes: #540632)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 10 Aug 2009 14:59:27 +0200

mantis (1.1.8+dfsg-2) unstable; urgency=high

  [ Olivier Berger ]
  * Fix template and french translation regarding 'administrator' (Closes:
    534832)

  [ Patrick Schoenfeld ]
  * Urgency high because this fixes a security bug
  * Use ucf with --debconf-ok switch in postrm, too, in order to finally
    get rid of the odd debconf warnings. Thanks Andreas Moog. (Closes:
    #525369)
  * Fix default permissions for config_db.php and add a conditional to
    update old installations.
    (Closes: #425010)
  * Remove dpkg-statoverrides on package purge (Closes: #539387)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Fri, 31 Jul 2009 13:39:51 +0200

mantis (1.1.8+dfsg-1) unstable; urgency=low

  [ Olivier Berger ]
  * New upstream version (Closes: #528192).
  * Apply patch from Andreas Moog, fixing ucf warning
    (Closes: #525369)
  * Add 05-fix-phpmailer.patch to make it work with phpmailer 2.1
    (Closes: #501434)
  * Remove documentation for soap restrictions because they are not anymore
  * Use nusoap from libnusoap-php instead of shipping embedded copy.
  * Restore SOAP server
  * Fix patch 01-use-libphp-phpmailer-instead-of-prepackaged-version.patch
    so that phpmailer works even when invoked from SOAP

  [ Patrick Schoenfeld ]
  * Merged and fixed changelog entries 
  * Fix debian/watch
  * Update standards version; no changes needed
  * debian/changelog: Do not point to the symlinked license. Instead
    point to GPL2 and LGPL2 directly

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Sat, 27 Jun 2009 09:49:05 +0200

mantis (1.1.6+dfsg-2) unstable; urgency=low

  * Upload to unstable

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 22 Dec 2008 09:42:23 +0100

mantis (1.1.6+dfsg-1) experimental; urgency=low

  * New upstream version:
    + Several bugfixes for some caching problems
    + Several bugfixes for access control bugs
    + Improve the existing source control integration by allowing remote
      checkins

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 09 Dec 2008 21:33:00 +0100

mantis (1.1.5+dfsg-1) experimental; urgency=low

  * New upstream version:
    + Several bugfixes for problems related to the security fixes, which were
      introduced in 1.1.3.
    + Minor additional bugfixes
    + Fix for the problem which disabled people from confirming the


=== debian/control ===
Source: mantis
Section: web
Priority: optional
Maintainer: Silvia Alvarez <sils@powered-by-linux.com>
Uploaders: Dario Minnucci <midget@debian.org>
Homepage: http://www.mantisbugtracker.com
Build-Depends: debhelper (>= 7), po-debconf
Standards-Version: 3.8.4

Package: mantis
Architecture: all
Pre-Depends: dbconfig-common
Depends: debconf, apache2 | httpd, libapache2-mod-php5 | php5-cli, libphp-adodb, libphp-phpmailer, ucf (>= 0.28), libnusoap-php, ${misc:Depends}
Recommends: php5-mysql, mysql-client
Suggests: php5-cli, mysql-server
Description: web-based bug tracking system
 Mantis is an issue tracker implemented in PHP and using MySQL as a database.
 The features of mantis include:
   * Web based access
   * Simple/advanced issue pages
   * Multiple projects per instance
   * Support for projects, sub-projects, and categories
   * Users can have different access level per project
   * Changelog support
   * Roadmap
   * User View page
   * Search and filter
   * Built-in reporting (reports/graphs)
   * Timetracking
   * Custom fields
   * E-mail notifications
   * Users can monitor specific issues
   * RSS feeds
   * and more

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://sf.net/mantisbt/mantisbt-([0-9.]+)\.tar\.gz

## mantis 1.2.8

=== debian/changelog ===
mantis (1.2.8-1) unstable; urgency=medium

  * Urgency medium: fixed serious bug (policy violations)
    + debian/mantis.config:
      Allow set empty password in debconf config to prevent errors in 
      unattended installations (--frontend:Noninteractive --priority=critical)
      (Closes: #640589)
  * New Security Upstream Release (1.2.8)
  * debian/README.Debian: 
    + Added info about setting up custom variables.
  * debian/patches:
    + dropped: Fixed in new upstream version (1.2.8) 
      Multiple vulnerabilities (LFI/XSS/Projax/PHPSELF)
      000-Fix-640297-LFI-XSS-injection-bug-action-group-0.diff
      000-Fix-640297-LFI-XSS-injection-bug-action-group-1.diff
      000-Fix-640297-LFI-XSS-injection-via-PHPSELF.diff
      000-Fix-640297-Projax-XSS-injection.diff
  * debian/copyright: updated
  * debian/mantis.lintian-overrides: added

 -- Silvia Alvarez <sils@powered-by-linux.com>  Mon, 12 Sep 2011 03:25:00 +0200

mantis (1.2.7-1) unstable; urgency=high

  * Security Upstream Release (1.2.7)
  * Urgency high: Fixes critical LFI/XSS vulnerabilites
  * debian/NEWS: updated
  * debian/README.Debian: updated
  * debian/doc/README.LDAP: updated 
  * debian/po debconf translations:
    + Added Swedish translation, thanks to
       Martin Bagge (Closes: #640061)
    + Fixed Language Field: sv
  * debian/patches:
    + dropped:
      000-fix-security-bug-bts-638321-filterapi-multiple-XSS.diff
      Bug fixed in new upstream release.
   + updated:
      000-cleanup-gitignore-file-from-orignal-tarball.diff
   + added: Multiple vulnerabilities (LFI/XSS/Projax/PHPSELF)
     Thanks to David Hicks, MantisBT developer. (Closes: #640297)
     000-Fix-640297-LFI-XSS-injection-bug-action-group-0.diff
     000-Fix-640297-LFI-XSS-injection-bug-action-group-1.diff
     000-Fix-640297-LFI-XSS-injection-via-PHPSELF.diff
     000-Fix-640297-Projax-XSS-injection.diff

 -- Silvia Alvarez <sils@powered-by-linux.com>  Mon, 05 Sep 2011 20:41:13 +0200

mantis (1.2.6-1) unstable; urgency=medium

  [ Silvia Alvarez ]
  * New Upstream Release (1.2.6)
  * debian/NEWS: updated
  * debian/patches:
    + added: Fix security multiple XSS (Closes: #638321)
      000-fix-security-bug-bts-638321-filterapi-multiple-XSS.diff
  * debian/copyright: updated
  * debian/po debconf translations:
    + Added Russian translation, thanks to
       Yuri Kozlov (Closes: #637752)
    + Clean up ru.po obsoleted lines
  * debian/README.Debian: updated
  * debian/doc/README.VirtualHost: added information
    about custom config VirtualHost, mantis and javascript-common.
    Thanks to Wolfgang Schulze-Zacha (Closes: #635932)

 -- Silvia Alvarez <sils@powered-by-linux.com>  Fri, 19 Aug 2011 06:48:57 +0200

mantis (1.2.4-3) unstable; urgency=low

  * debian/mantis.templates:
     + Removed trailing spaces. (Closes: #634509)
  * debian/po debconf translations:
     + Updated es.po, ca.po: unfuzzy.
     + Added French translation, thanks to
       Christian Perrier (Closes: #634827)
  * debian/TODO: testing new installations and updates
     + Thanks to Kushal Koolwal for help.

 -- Silvia Alvarez <sils@powered-by-linux.com>  Fri, 22 Jul 2011 14:39:03 +0200

mantis (1.2.4-2) unstable; urgency=low

  * Mantis was in experimental to be tested for a few months. After some
    testing, it seams to be solid enough to pass to unstable.
  * debian/mantis.templates: review by debian-l10n-english team
    Thanks to: Justin B Rye and Christian Perrier.
  * debian/po/*.po: old po files were removed because of a new template file.
    New translations needed.

 -- Silvia Alvarez <sils@powered-by-linux.com>  Mon, 11 Jul 2011 15:58:13 +0200

mantis (1.2.4-1) experimental; urgency=low

  [ Silvia Alvarez ]
  * New Upstream Release (1.2.4)
    (Closes: #607159, #575347)
  * New package installation method let user to
    + choose the administrator password. (Closes: #529319)
    + choose the database engine. (Closes: #596223, #475582)
  * Multi-DBMS: managed via web interface 
  * NEWS.Debian: information about install, upgrade, customization.
  * Dockbook manuals added
  * debian/templates:
    + New configuration template files. (Closes: #596224) 
  * debian/conf/apache.conf: Added PHP flags to modify core configuration
    (if needed). Thanks to Jorg Sommer <joerg@alea.gnuu.de> (Closes: #598902)
  * debian/control:
    + Homepage project changed
    + Depends on apache2-utils: htpasswd
    + Bump Standards-Version to 3.9.2 (no changes)
    + Updated build-depends to use debhelper (>= 7.0.50~) to support
      override syntax in debian/rules.
    + Added dependencies libjs-prototype, libjs-scriptaculous
      embedded javascript libraries on debian
    + Update package features description
  * debian/rules: rewritten to use the 'magic' debian/rules file
    + Replace embedded libraries with libs provided by Debian packages
      libjs-prototype, libjs-scriptaculous, libphp-adodb, libnusoap-php,
      libphp-phpmailer
  * debian/copyright: DEP5 compatible
  * debian/patches:
    + dropped:
      01-use-libphp-phpmailer-instead-of-prepackaged-version.patch:
         Now we use libphp-phpmailer Debian package
      02-disable-admin-directory-check.patch: not longer needed
         the admin directory is now protected. new source for debian
         installer.
      03-fix-wrong-php-path-in-checkin.patch:
         fixed in upstream version
      04-disable-use-of-projax.patch:
         Now it used again --- more comments
      05-fix-phpmailer.patch: 
         fixed in upstream version
      06-use-libnusoap-php.patch:
         Now we use libnusoap-php Debian package
      08-CVE-2010-2574.diff:
         fixed in upstream version mantisbt > 1.2.2
      09-CVE-2010-3303-04-and-05.diff:
         fixed in upstream version mantisbt > 1.2.2
      10-CVE-2010-3763.diff:
         fixed in upstream version mantisbt > 1.2.2
    + added:
      000-cleanup-gitignore-file-from-orignal-tarball.diff
      000-disallow-admin-functions-not-used.diff


=== debian/control ===
Source: mantis
Section: web
Priority: optional
Maintainer: Silvia Alvarez <sils@powered-by-linux.com>
Uploaders: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Standards-Version: 3.9.2
Homepage: http://www.mantisbt.org
Vcs-Git: git://git.debian.org/collab-maint/mantis.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mantis.git

Package: mantis
Architecture: all
Depends: debconf, apache2 | httpd, apache2-utils, libapache2-mod-php5 | php5-cli, libphp-adodb, libphp-phpmailer, ucf (>= 0.28), libnusoap-php, libjs-prototype, libjs-scriptaculous, ${misc:Depends}
Recommends: php5-mysql, mysql-client
Suggests: php5-cli, mysql-server
Description: web-based bug tracking system
 Mantis is an issue tracker that is implemented in PHP. 
 The main features include:
   * Web Based
   * Supports any platform that runs PHP
   * Available in 68 localizations
   * Customizable Issue Pages
   * Multiple Projects per instance
   * Support for Projects, Sub-Projects, and Categories.
   * Users can have a different access level per project
   * Changelog Support
   * Roadmap
   * User View Page
   * Search and Filter
   * Built-in Reporting (reports / graphs)
   * Time Tracking
   * Custom Fields
   * Email notifications
   * Users can monitor specific issues
   * Attachments
   * Issue Change History
   * RSS Feeds
   * Customizable issue workflow
   * Sponsorships Support
   * Export to csv, Microsoft Excel, Microsoft Word
   * No limit on the number of users, issues, or projects.
   * Public / Private Projects
   * Public / Private Notes
   * Public / Private Issues
   * Public / Private News
   * Issue Relationships
   * Authentication
     + Default Mantis Authentication (recommended)
     + LDAP Integration
     + HTTP Basic Authentication Support
     + Active Directory Integration (patches available)
   * Multi-DBMS Support (using ADODB)
     + MySQL
     + MS SQL
     + PostgreSQL
     + Oracle (experimental)
   * Webservice (SOAP) interface
   * and more

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this for verbose output
#export DH_VERBOSE=1

%:
	dh $@


override_dh_auto_clean:
	debconf-updatepo

override_dh_auto_build:

override_dh_install:
	dh_install
	#
	# Remove non desidered embedded libraries 
	#
	rm -fv debian/mantis/usr/share/mantis/www/javascript/dev/projax/prototype.js
	rm -fv debian/mantis/usr/share/mantis/www/javascript/dev/projax/scriptaculous.js
	rm -fv debian/mantis/usr/share/mantis/www/javascript/min/projax/prototype.js
	rm -fv debian/mantis/usr/share/mantis/www/javascript/min/projax/scriptaculous.js
	rm -rfv debian/mantis/usr/share/mantis/www/library/adodb
	rm -fv debian/mantis/usr/share/mantis/www/library/nusoap/*
	rm -rfv debian/mantis/usr/share/mantis/www/library/phpmailer
	#
	# Create links to debian libraries	
	#
	dh_link /usr/share/javascript/prototype/prototype.js /usr/share/mantis/www/javascript/dev/projax/prototype.js
	dh_link /usr/share/javascript/scriptaculous/scriptaculous.js /usr/share/mantis/www/javascript/dev/projax/scriptaculous.js
	dh_link /usr/share/javascript/prototype/prototype.js /usr/share/mantis/www/javascript/min/projax/prototype.js
	dh_link /usr/share/javascript/scriptaculous/scriptaculous.js /usr/share/mantis/www/javascript/min/projax/scriptaculous.js
	dh_link /usr/share/php/adodb /usr/share/mantis/www/library/adodb
	dh_link /usr/share/php/nusoap/nusoap.php /usr/share/mantis/www/library/nusoap/nusoap.php
	dh_link /usr/share/php/libphp-phpmailer /usr/share/mantis/www/library/phpmailer
	#
	# Remove non desidered admin files
	# prevent errors : upstream pages do not work correctly
	# upgrade functions are all controlled on debian install page
	#
	rm -fv debian/mantis/usr/share/mantis/www/admin/install.php
	rm -fv debian/mantis/usr/share/mantis/www/admin/upgrade_unattended.php
	rm -fv debian/mantis/usr/share/mantis/www/admin/upgrade_warning.php
	#
	# Set admin installation page for debian
	#
	cp -a debian/conf/debian_admin_install.php debian/mantis/usr/share/mantis/www/admin/install.php
	#
	# Fix perms
	#
	chmod 750 debian/mantis/usr/share/mantis/www/scripts/checkin.php
	chmod 750 debian/mantis/usr/share/mantis/www/scripts/send_emails.php
	#
	# Remove config_inc sample, not used in debian
	#
	rm -fv debian/mantis/usr/share/mantis/www/config_inc.php.sample

override_dh_installexamples:
	dh_installexamples
	#
	# Remove more not needed files
	#
	find debian/mantis -type f -name ".gitignore" | xargs -r rm -f
	find debian/mantis -type f -name "INSTALL" | xargs -r rm -f
	find debian/mantis -type f -name "LICENSE" | xargs -r rm -f
	find debian/mantis -type f -name "LICENSE.gz" | xargs -r rm -f
	find debian/mantis -type f -name "MIT-LICENSE" | xargs -r rm -f
	find debian/mantis -type f -name "license.txt" | xargs -r rm -f
	find debian/mantis -type f -name "license.html" | xargs -r rm -f

## mantis 1.2.10

=== debian/changelog ===
mantis (1.2.10-1) unstable; urgency=high

  [ Dario Minnucci ]
  * New upstream release (1.2.10) 
    - Urgency high because includes fixes for various CVEs
      (upstream fixed in version 1.2.9) (Closes: #662858)
      - CVE-2012-1118
      - CVE-2012-1119
      - CVE-2012-1120
      - CVE-2012-1121
      - CVE-2012-1122
      - CVE-2012-1123
  * debian/patches:
    - Drop 000-cleanup-gitignore-file-from-orignal-tarball.diff
      .gitignore file is no longer distributed in the tarball.
  * debian/po:
    - Added Danish translation of the debconf templates.
      Thanks to Joe Dalton. (Closes: #664284)
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes)
    - Build-Depends updated to use debhelper >= 9
  * debian/copyright:
    - Fixes for DEP5 compatibility
    - Copyright years updated
  * debian/rules:
    - Fix permision on www/images directory
  * debian/conf/debian_admin_install.php:
    - Remove support for 'mssql'. Driver is no longer supported in
      PHP >= 5.3
  * debian/NEWS: Updated
  * debian/README.Debian: Updated

 -- Dario Minnucci <midget@debian.org>  Wed, 11 Apr 2012 23:12:24 +0200

mantis (1.2.8-2) unstable; urgency=low

  * debian/mantis.postrm: fixed piupart issue.
    Do not call ucf in purge stage.(Closes: #650165)
  * debian/po debconf translations:
    + Added German translation, thanks to
       Chris Leick (Closes: #653129)
    + Added Portuguese translation, thanks to
       Pedro Ribeiro (Closes: #652491) 

 -- Silvia Alvarez <sils@powered-by-linux.com>  Sat, 14 Jan 2012 13:39:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -47,10 +47,14 @@
 	#
 	cp -a debian/conf/debian_admin_install.php debian/mantis/usr/share/mantis/www/admin/install.php
 	#
-	# Fix perms
+	# Fix scripts perms
 	#
 	chmod 750 debian/mantis/usr/share/mantis/www/scripts/checkin.php
 	chmod 750 debian/mantis/usr/share/mantis/www/scripts/send_emails.php
+	#
+	# Fix images perms
+	#
+	for i in $$(ls -1 debian/mantis/usr/share/mantis/www/images/*.{ico,gif,png}) ; do chmod 644 $${i} ; done
 	#
 	# Remove config_inc sample, not used in debian
 	#

## mantis 1.2.11

=== debian/changelog ===
mantis (1.2.11-1) unstable; urgency=high

  * New upstream release (1.2.11)
    - Urgency high because includes fixes for 2 CVEs
      (upstream fixed in version 1.2.11) (Closes: #676783)
      - CVE-2012-2691
      - CVE-2012-2692
  * debian/po:
    - Added Italian translation of the debconf templates.
      Thanks to Beatrice Torracca. (Closes: #671639)

 -- Dario Minnucci <midget@debian.org>  Fri, 15 Jun 2012 18:02:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,9 @@
 	#
 	# Fix images perms
 	#
-	for i in $$(ls -1 debian/mantis/usr/share/mantis/www/images/*.{ico,gif,png}) ; do chmod 644 $${i} ; done
+	for i in $$(ls -1 debian/mantis/usr/share/mantis/www/images/*.ico) ; do chmod 644 $${i} ; done
+	for i in $$(ls -1 debian/mantis/usr/share/mantis/www/images/*.gif) ; do chmod 644 $${i} ; done
+	for i in $$(ls -1 debian/mantis/usr/share/mantis/www/images/*.png) ; do chmod 644 $${i} ; done
 	#
 	# Remove config_inc sample, not used in debian
 	#

=== debian/watch ===
version=3
http://sf.net/mantisbt/mantisbt-(.+)\.tar\.gz

## mantis 1.2.18

=== debian/changelog ===
mantis (1.2.18-1+deb7u1) wheezy-security; urgency=high

  * CVE-2016-5364: Fix XSS vulnerability in Custom fields management pages.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Jun 2016 11:49:57 +0100

mantis (1.2.18-1) wheezy-security; urgency=medium

  * NMU by the Security Team
    New upstream release, fixes many security issues

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 28 Dec 2014 02:15:48 +0100

mantis (1.2.11-1.2+deb7u1) wheezy-security; urgency=low

  * CVE-2014-1608 / CVE-2014-1609, patches provided by Henri Salo

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 03 Sep 2014 21:39:01 +0000

mantis (1.2.11-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Refresh quilt patches
  * Fix two CVEs (Closes: #693283)
    - CVE-2012-5522
    - CVS-2012-5523

 -- Simon Richter <sjr@debian.org>  Sat, 24 Nov 2012 18:04:54 +0000

mantis (1.2.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Czech (Michal Simunek).  Closes: #681507

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Aug 2012 08:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Silvia Alvarez <sils@powered-by-linux.com>
 Uploaders: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.3
 Homepage: http://www.mantisbt.org
 Vcs-Git: git://git.debian.org/collab-maint/mantis.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mantis.git
